Api key provided on integrations tab in Easyflow platform.
Get installment options
Retrieves available installment options based on the business and the amount to be paid. This is an authenticated route.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredBusiness Identifier
Query parameters
amountToBePaidInCentsintegerrequiredTotal amount to be paid in cents. It must be greater than zero.
itemsarray of objectsOptional cart items, sent as
items[0][offerItemId]=...&items[0][valueInCents]=.... When sent, the list cannot be empty and every item needsofferItemId(a valid id) andvalueInCents(greater than zero).
Responses
200Installment options successfully retrieved.
Installment options successfully retrieved.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
optionsarray of objectsShow child attributesHide child attributes
installmentsintegerparcelValueInCentsintegertotalInterestInCentsintegertotalValueInCentsintegerorderValueInCentsintegerMay be absent.
totalBuyerPaymentTaxValueInCentsintegerMay be absent.
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.